******MODIFY.CMD
******Modify data in prospective customer list
ERASE
USE NEWLEADS INDEX LAST
REMARK   Enter the last name of the new customer
ACCEPT TO MLAST
STORE TRIM(MLAST) TO MLAST
FIND &MLAST
TEXT
The following records match

Rec      Name
-------  -------------------------------------------
ENDTEXT
LIST TRIM(FIRST)+' '+TRIM(LAST) WHILE LAST = MLAST
?
IF # = 0
REMARK No matching entries
WAIT
RETURN
ENDIF
REMARK Enter the record number to edit or 0 to abort
INPUT TO REC
IF REC = 0
RETURN
ENDIF
GOTO REC

* NEWLEAD.FMT
@  1,17 SAY "New Sales Lead Data"
@  4, 0 SAY "Agent assigned for service"
@  4,27 SAY agent
@  6, 6 SAY "Business Name "
@  6,20 GET bus:name
@  8, 0 SAY "Title (Mr. Ms. Dr.) "
@  8,20 GET title
@  9, 8 SAY "First Name  "
@  9,20 GET first
@ 10, 9 SAY "Last Name  "
@ 10,20 GET last
@ 11,11 SAY "Address  "
@ 11,20 GET addr
@ 12,14 SAY "City  "
@ 12,20 GET city
@ 13,13 SAY "State  "
@ 13,20 GET state
@ 14,15 SAY "Zip  "
@ 14,20 GET zip
@ 15, 6 SAY "Phone number  "
@ 15,20 GET phone
READ
RETURN
 e  "
@ 13,20 GET state
@ 14,15 SAY "Zip  "
@ 14,20 GET zip
@ 15, 6 S